# Bulk create Dot Phrases

```
POST 
/dot-phrases/bulk-create
```

Creates multiple Dot Phrases for the current user in a single request.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The created Dot Phrases.

## Operation spec

```json
{
  "method": "post",
  "path": "/dot-phrases/bulk-create",
  "operationId": "bulk-create-user-dot-phrases",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "data"
          ],
          "properties": {
            "data": {
              "type": "array",
              "minItems": 1,
              "maxItems": 100,
              "items": {
                "type": "object",
                "required": [
                  "title",
                  "trigger",
                  "replacement"
                ],
                "properties": {
                  "title": {
                    "type": "string",
                    "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                    "example": "Normal physical exam"
                  },
                  "trigger": {
                    "type": "string",
                    "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                    "example": "Your physical exam is normal"
                  },
                  "content_auto_update_enabled": {
                    "type": "boolean",
                    "default": false,
                    "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                    "example": false
                  },
                  "replacement": {
                    "type": "string",
                    "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                    "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
                  }
                },
                "title": "create_dot_phrase_item"
              }
            }
          },
          "title": "bulk_create_dot_phrases_request"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The created Dot Phrases.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "data"
            ],
            "properties": {
              "data": {
                "type": "array",
                "items": {
                  "type": "object",
                  "description": "Dot phrase, also referred to as EHR (Electronic Health Record) macro, is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`).",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "description": "Unique identifier of the Dot Phrase."
                    },
                    "title": {
                      "type": "string",
                      "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                      "example": "Normal physical exam"
                    },
                    "trigger": {
                      "type": "string",
                      "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                      "example": "Your physical exam is normal"
                    },
                    "content_auto_update_enabled": {
                      "type": "boolean",
                      "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                      "example": false
                    },
                    "replacement": {
                      "type": "string",
                      "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                      "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The creation date of this object, in ISO 8601 format.",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "The last update date of this object, in ISO 8601 format.",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "updated_at"
                    }
                  },
                  "required": [
                    "id",
                    "title",
                    "trigger",
                    "content_auto_update_enabled",
                    "replacement",
                    "created_at",
                    "updated_at"
                  ],
                  "title": "dot_phrase"
                }
              }
            },
            "title": "bulk_create_dot_phrases_response"
          }
        }
      }
    }
  }
}
```
